<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrEquityPledgeInfoMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrEquityPledgeInfo">
            <id property="imporgid" column="IMPORGID" jdbcType="VARCHAR"/>
            <result property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="entname" column="ENTNAME" jdbcType="VARCHAR"/>
            <result property="regno" column="REGNO" jdbcType="VARCHAR"/>
            <result property="uniscid" column="UNISCID" jdbcType="VARCHAR"/>
            <result property="equityno" column="EQUITYNO" jdbcType="VARCHAR"/>
            <result property="pledgor" column="PLEDGOR" jdbcType="VARCHAR"/>
            <result property="pledblictype" column="PLEDBLICTYPE" jdbcType="VARCHAR"/>
            <result property="pledblictypeCn" column="PLEDBLICTYPE_CN" jdbcType="VARCHAR"/>
            <result property="pledblicno" column="PLEDBLICNO" jdbcType="VARCHAR"/>
            <result property="pledamunit" column="PLEDAMUNIT" jdbcType="VARCHAR"/>
            <result property="impam" column="IMPAM" jdbcType="DECIMAL"/>
            <result property="regcapcur" column="REGCAPCUR" jdbcType="VARCHAR"/>
            <result property="regcapcurCn" column="REGCAPCUR_CN" jdbcType="VARCHAR"/>
            <result property="imporg" column="IMPORG" jdbcType="VARCHAR"/>
            <result property="imporgblictype" column="IMPORGBLICTYPE" jdbcType="VARCHAR"/>
            <result property="imporgblictypeCn" column="IMPORGBLICTYPE_CN" jdbcType="VARCHAR"/>
            <result property="imporgblicno" column="IMPORGBLICNO" jdbcType="VARCHAR"/>
            <result property="equpledate" column="EQUPLEDATE" jdbcType="DATE"/>
            <result property="type" column="TYPE" jdbcType="VARCHAR"/>
            <result property="candate" column="CANDATE" jdbcType="DATE"/>
            <result property="equplecanrea" column="EQUPLECANREA" jdbcType="VARCHAR"/>
            <result property="canceldate" column="CANCELDATE" jdbcType="DATE"/>
            <result property="cancelrea" column="CANCELREA" jdbcType="VARCHAR"/>
            <result property="publicdate" column="PUBLICDATE" jdbcType="DATE"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        IMPORGID,PRIPID,ENTNAME,
        REGNO,UNISCID,EQUITYNO,
        PLEDGOR,PLEDBLICTYPE,PLEDBLICTYPE_CN,
        PLEDBLICNO,PLEDAMUNIT,IMPAM,
        REGCAPCUR,REGCAPCUR_CN,IMPORG,
        IMPORGBLICTYPE,IMPORGBLICTYPE_CN,IMPORGBLICNO,
        EQUPLEDATE,TYPE,CANDATE,
        EQUPLECANREA,CANCELDATE,CANCELREA,
        PUBLICDATE,S_EXT_DATATIME
    </sql>
</mapper>
